module IR (clk, rst, IrWrite, OutMem, OutIr1, OutIr2, OutIr3, OutIr4, OutIr5, OutIr6, OutIr7, OutIr8);


input IrWrite, clk, rst;
input [31:0] OutMem;
output reg [5:0] OutIr1;
output reg [4:0] OutIr2;
output reg [4:0] OutIr3;
output reg [4:0] OutIr4;
output reg [4:0] OutIr5;
output reg [5:0] OutIr6;
output reg [15:0] OutIr7;
output reg [25:0] OutIr8;

always@ (posedge clk or posedge rst) begin

  
    if(rst) begin
        OutIr1 = 0;
        OutIr2 = 0;
        OutIr3 = 0;
        OutIr4 = 0;
        OutIr5 = 0;
        OutIr6 = 0;
        OutIr7 = 0;
        OutIr8 = 0;
    end
  
    else if(IrWrite == 1) begin

         OutIr1 = OutMem[31:26];		// OP
         OutIr2 = OutMem[25:21];		// RS
         OutIr3 = OutMem[20:16];		// RT
         OutIr4 = OutMem[15:11];		// RD
         OutIr5 = OutMem[10:6];			// SA
         OutIr6 = OutMem[5:0];			// FUNCT
         OutIr7 = OutMem[15:0];			// IMMEDIATE
         OutIr8 = OutMem[25:0];			// JUMP TARGET
    end
end

endmodule 