module LoadBox (rst, LoadSel, out_MemReg, out_Load);

	input rst;						//reset
    input [1:0] LoadSel; 			//seletor
    input [31:0] out_MemReg;
    output reg [31:0] out_Load;
    
	parameter BYTE = 0;
	parameter HALF = 1;
	parameter WORD = 2;
	
     always @ (*) begin
     
		if(rst) out_Load = 0;
		
        case (LoadSel)
                BYTE: out_Load = {24'd0, out_MemReg[7:0]}; 		//8 bits
                HALF: out_Load = {16'd0, out_MemReg[15:0]};		//16 bits
                WORD: out_Load =  out_MemReg; 					//32 bits
                default: out_Load = 0;
        endcase
     end    

endmodule 