module StoreBox (clk, rst, StoreSel, out_MemReg, out_B, out_Store);

    input clk, rst;                    //clock e reset
    input[1:0] StoreSel;             //seletor
    input[31:0] out_MemReg;
    input[31:0] out_B;
    output reg[31:0] out_Store;

    parameter BYTE = 0;
    parameter HALF = 1;
    parameter WORD = 2;
   
    always@ (posedge clk) begin
        case(StoreSel)
            BYTE: out_Store = {out_MemReg[31:8], out_B[7:0]};
            HALF: out_Store = {out_MemReg[31:16], out_B[15:0]};
            WORD: out_Store = out_B;
            default: out_Store = 0;
        endcase
    end

endmodule